#
# p0f - passive OS fingerprinting
# -------------------------------
# (C) Copyright 2000, 2001 by Michal Zalewski <lcamtuf@coredump.cx>
# (C) Copyright 2001 by William Stearns <wstearns@pobox.com>
#
# Every entry in this file is a description of unique TCP parameters 
# specific for the first SYN packet sent by a remote party while 
# establishing a connection. Those parameters include: window size (wss),
# maximum segment size (mss), don't fragment flag (DF), window scaling 
# (wscale), sackOK flag, nop flag, initial time to live (TTL) and SYN
# packet size (as declared).
#
# Normally, p0f reports unknown OSes providing you with all parameters,
# so you can simply find out what system your party runs, and then,
# add appropriate rule to this file. There's only thing you have to do
# - determine initial TTL of a packet. Well, usually it is equal to the first
# power of 2 greater than TTL you're seeing, given that your remote party is
# not too far away (if traceroute shows more than 20-25 hosts, be careful).
# So, for example, if you get TTL of 55 in a fingerprint returned by p0f,
# initial TTL probably was 64. NOTE: it is better to overestimate it (will
# affect distance prediction) than to underestimate (will not work at all in
# some cases).
#
# There are some brain-damaged devices, like network printers, that
# have initial TTLs set to values like 60. However, if you see HP LaserJet
# trying to connect your server, you probably should have a break :)
#
# Format:
#
# wwww:ttt:mmm:D:W:S:N:I:OS Description
#
# wwww - window size
# ttt  - time to live
# mmm  - maximum segment size
# D    - don't fragment flag  (0=unset, 1=set) 
# W    - window scaling (-1=not present, other=value)
# S    - sackOK flag (0=unset, 1=set)
# N    - nop flag (0=unset, 1=set)
# I    - packet size (-1 = irrevelant)
#

31072:64:3884:1:0:1:1:-1:Linux 2.2.12-20 (RH 6.1)
512:64:1460:0:0:0:0:44:Linux 2.0.35 - 2.0.38
32120:64:1460:1:0:1:1:60:Linux 2.2.9-2.2.18pre21 or Cobalt Linux 2.2.12C3
16384:64:1460:1:0:0:0:44:FreeBSD 4.0-STABLE, 3.2-RELEASE
8760:64:1460:1:0:0:0:-1:Solaris 2.6 (2)
9140:255:9140:1:0:0:0:-1:Solaris 2.6 (sunsite)
49152:64:1460:0:0:0:0:-1:IRIX 6.5 / 6.4
8760:255:1460:1:0:0:0:44:Solaris 2.6 or 2.7
8192:128:1460:1:0:0:0:-1:Windows NT 4.0 (1)
8192:128:1460:1:0:1:1:-1:Windows 9x (1)
8192:128:536:1:0:1:1:48:Windows 9x (2)
2144:64:536:1:0:1:1:-1:Windows 9x (4)
16384:128:1460:1:0:1:1:48:Windows 2000 (1)
32120:32:1460:1:0:1:1:-1:Linux 2.2.13
8192:32:1460:1:0:0:0:-1:Windows NT 4.0 (2)
5840:128:536:1:0:1:1:-1:Windows 95 (3)
16060:64:1460:1:0:1:1:-1:Debian/Caldera Linux 2.2.x (check)
8760:255:1380:1:0:0:0:-1:Solaris 2.7
8192:128:1456:1:0:1:1:-1:Linux 2.2.13
32768:64:1432:0:0:0:0:-1:??? (PlusGSM, InterNetia proxy)
16384:255:1460:1:0:0:1:-1:FreeBSD 2.2.6-RELEASE
8192:64:1460:1:0:0:1:-1:BSDI BSD/OS 3.1
16384:64:1460:0:0:0:1:-1:NetBSD 1.3/i386
24820:64:1460:1:0:0:0:-1:SCO UnixWare 7.0.1
32768:64:1460:1:0:0:0:-1:HP-UX B.10.01 A 9000/712
16384:64:512:0:0:0:0:-1:AIX 3.2, 4.2 - 4.3
32768:64:1460:1:0:0:1:-1:Digital UNIX V4.0E, Mac OS X
32694:255:536:0:0:0:0:-1:3Com HiPer ARC, System V4.2.32
4128:255:556:0:0:0:0:-1:Cisco 1750 IOS 12.0(5), Cisco 2500 IOS 11.3(1)
4128:255:556:0:0:0:0:-1:Cisco 3600 IOS Version 12.0(7)
4288:255:1460:0:-1:0:0:-1:Cisco 3620 IOS 11.2(17)P
512:64:0:0:-1:0:0:-1:Linux 2.0.35 - 2.0.37
8192:128:1460:1:-1:1:0:-1:Windows NT 
32120:64:1460:1:190:1:1:-1:Linux 2.2.16
32696:64:536:0:0:1:1:-1:SCO UnixWare 7.1.0 x86
24820:64:1460:1:0:0:1:-1:SCO UnixWare 7.1.0 x86
32120:58:1460:0:-1:0:0:-1:Linux 2.0.38 sig 2
65535:128:1368:1:-1:0:0:-1:BorderManager 3.5
33580:255:1460:1:-1:0:0:-1:Solaris 7
8192:128:25443:1:-1:1:1:-1:Microsoft NT 4.0 Server SP5
8192:64:1460:1:-1:0:0:-1:AXCENT Raptor Firewall Windows NT 4.0/SP3
8192:32:1456:1:-1:0:0:-1:Windows 95 (?)
16384:64:0:0:-1:0:0:-1:ULTRIX V4.5 (Rev. 47)
16384:64:512:0:0:0:1:-1:OpenBSD 2.6
32768:128:1460:1:-1:0:0:-1:Novell NetWare 4.11
16384:64:1460:1:0:0:1:44:FreeBSD 2.2.8-RELEASE
4288:255:536:0:-1:0:0:-1:Cisco 1600 IOS 11.2(15)P
4096:32:1024:0:245:0:0:-1:Alcatel (Xylan) OmniStack 5024
4288:255:536:0:-1:0:0:-1:Cisco 2500 IOS 11.2(5)P or Cisco 4500 IOS 11.1(7)
2144:255:536:0:-1:0:0:-1:Cisco IGS 3000 IOS 11.x(16), 2500 IOS 11.2(3)P
4128:255:1460:0:-1:0:0:-1:Cisco 2611 IOS 11.3(2)XA4
61440:64:1460:0:-1:0:0:-1:IRIX 6.3
61440:64:512:0:-1:0:0:-1:IRIX 5.3 / 4.0.5F
4128:255:1460:0:-1:0:0:-1:Cisco C2600 IOS 12.0(5)T1
31856:64:1460:1:0:1:1:-1:Linux 2.4.0-test1
4096:30:1024:0:245:0:0:-1:Alcatel (Xylan) OmniStack 5024 v3.4.5
4096:30:1024:0:-1:0:0:-1:Chorus MiX V.3.2 r4.1.5 COMP-386
4128:255:1460:0:-1:0:0:-1:Cisco 4500 IOS 12.0(9), 3640 12.1(2), 3620 12.0(8) or 11.3(11a)
32120:64:1460:1:101:1:1:-1:Linux 2.2.15
32120:64:1460:0:-1:0:0:-1:Linux 2.0.33
512:64:1460:0:52:0:0:-1:Linux 2.0.33
32120:64:1460:0:0:1:1:-1:Linux 2.2.19
5840:64:1460:1:0:1:1:60:Linux 2.4.2 - 2.4.14
32768:255:1460:1:0:0:1:-1:Mac OS 9 (1)
65535:255:1460:1:1:0:1:-1:Mac OS 9 (2)
24820:63:1460:1:-1:1:1:48:SunOS 5.8
32768:32:1460:1:-1:0:0:-1:Windows CE 3.0 (Ipaq 3670) (1)
32768:32:1460:1:-1:0:1:-1:Windows CE 3.0 (Ipaq 3670) (2)
24820:64:1460:1:-1:1:1:-1:SunOS 5.8 Sparc
12288:255:1460:0:-1:0:0:-1:BeOS 5.0
31856:64:1460:1:0:1:1:-1:Linux 2.3.99-ac
32768:128:1460:1:0:0:1:-1:Dec V4.0 OSF1
16384:64:1460:0:-1:0:0:-1:AIX 4.3-4.3.3
61440:64:1460:0:-1:1:1:-1:IRIX 6.5.10
5840:64:1460:1:0:1:1:-1:Linux 2.4.1-14
44032:128:64059:1:-1:1:1:-1:Windows 2000 SP2
44032:128:1452:1:-1:1:1:-1:Windows 2000 SP2 (2)
16384:128:25275:1:-1:1:1:-1:Windows 2000 (2)
1024:64:0:0:-1:0:0:40:NMAP scan (dist. inaccurate) (1)
1024:64:265:0:10:0:1:60:NMAP scan (dist. inaccurate) (2)
1024:64:536:0:-1:0:0:40:NMAP scan (dist. inaccurate) (3)
3072:64:0:0:-1:0:0:40:NMAP scan (dist. inaccurate) (4)
3072:64:265:0:10:0:1:60:NMAP scan (dist. inaccurate) (5)
3072:64:536:0:-1:0:0:40:NMAP scan (dist. inaccurate) (6)
2048:64:0:0:-1:0:0:40:NMAP scan (dist. inaccurate) (7)
2048:64:265:0:10:0:1:60:NMAP scan (dist. inaccurate) (8)
2048:64:536:0:-1:0:0:40:NMAP scan (dist. inaccurate) (9)
4096:64:0:0:-1:0:0:40:NMAP scan (dist. inaccurate) (10)
4096:64:265:0:10:0:1:60:NMAP scan (dist. inaccurate) (11)
4096:64:536:0:-1:0:0:40:NMAP scan (dist. inaccurate) (12)
16384:64:1460:1:94:0:1:44:FreeBSD 4.0-STABLE, 3.2-RELEASE (2)
16384:64:1460:1:98:0:0:44:FreeBSD 4.0-STABLE, 3.2-RELEASE (3)
16384:64:1460:1:112:0:0:44:FreeBSD 4.0-STABLE, 3.2-RELEASE (4)
16384:64:1460:1:0:0:1:60:Linux 2.4.2 - 2.4.14 (2)
8760:255:1460:1:-1:0:1:44:Solaris 2.6 or 2.7 (2)

